你的位置:首页 > 操作系统

[操作系统]Mac配置Qt环境——Could not resolve SDK path for macosx10.8


前言:解决在Mac端安装Qt后,出现的Could not resolve SDK path for 'macosx10.8'的配置信息。


首先,发现问题之前,先搜索一下。但是搜索的结果都是说,找到配置文件把macosx10.8修改成macosx10.9就OK了。我也尝试了,但不成功。原因在于我并不了解为什么这么修改和这个问题的产生的根源是什么。

接触Mac系统不长,但是感觉这个macosx10.8是系统的版本号吧!?查看了一下自己系统的版本号,和默认的配置文件,真的不一样。修改配置文件和系统的版本号一样,测试,OK,解决了。根源就在于2个版本号不一致的问题。


解决方法:

  1. 首先查看自己的系统的版本号,图片中是2种方式。
    QQ20151219-1
  2. 修改Qt的配置文件:
    QQ20151219-0
  3. 对了,最后,别往了重启Qt( ⊙ o ⊙ )啊!